local L = AceLibrary("AceLocale-2.2"):new("Automaton_Loner")
Automaton_Loner = Automaton:NewModule("Loner", "AceEvent-2.0", "AceConsole-2.0", "AceDebug-2.0")
local module = Automaton_Loner

L:RegisterTranslations("enUS", function() return {
    ["Loner"] = true,
	["Decline all incoming guild requests."] = true,
	["Canceling guild invite..."] = true,
} end)

L:RegisterTranslations("koKR", function() return {
    ["Loner"] = "길드 초대",
	["Decline all incoming guild requests."] = "모든 길드 초대 요구를 거절합니다.",
	["Canceling guild invite..."] = "길드 초대 거절...",
} end)

L:RegisterTranslations("esES", function() return {
    ["Loner"] = "Solitario",
	["Decline all incoming guild requests."] = "Declina todas las invitaciones para unirse a una Hermandad",
	["Canceling guild invite..."] = "Cancelando invitaci\195\179n a hermandad...",
} end)

module.description = L["Decline all incoming guild requests."]
module.options = {
}

function module:OnInitialize()
    self.db = Automaton:AcquireDBNamespace("Loner")
    Automaton:RegisterDefaults("Loner", "profile", {
		disabled = true,
    })
	Automaton:SetDisabledAsDefault(self, "Loner")
	self:RegisterOptions(self.options)
end

function module:OnEnable()
	self:RegisterEvent("GUILD_INVITE_REQUEST")
end

function module:GUILD_INVITE_REQUEST()
	self:Print(L["Canceling guild invite..."])
	DeclineGuild()
	StaticPopup_Hide("GUILD_INVITE")
end